declare const _sfc_main: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    basicOption: {
        type: any;
        required: true;
    };
    sources: {
        type: ArrayConstructor;
        required: true;
    };
    useEvents: {
        type: ArrayConstructor;
        required: true;
    };
    uuid: {
        type: StringConstructor;
        required: true;
    };
}>, {
    props: any;
    dataList: import("vue").Ref<any, any>;
    inputValue: import("vue").Ref<string, string>;
    emit: (event: "on-blur", ...args: any[]) => void;
    selectValue: import("vue").Ref<any, any>;
    placeholderColor: import("vue").ComputedRef<any>;
    color: import("vue").ComputedRef<any>;
    fontSize: import("vue").ComputedRef<string>;
    borderRadius: import("vue").ComputedRef<string>;
    unselectBackgroundColor: import("vue").ComputedRef<any>;
    unselectBorderColor: import("vue").ComputedRef<any>;
    unselectBorderStyle: import("vue").ComputedRef<any>;
    unselectBorderWidth: import("vue").ComputedRef<string>;
    selectedBackgroundColor: import("vue").ComputedRef<any>;
    selectedBorderColor: import("vue").ComputedRef<any>;
    selectedBorderStyle: import("vue").ComputedRef<any>;
    selectedBorderWidth: import("vue").ComputedRef<string>;
    handleClick: (value: string) => void;
    encryptPassword: (data: string) => any;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "on-blur"[], "on-blur", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    basicOption: {
        type: any;
        required: true;
    };
    sources: {
        type: ArrayConstructor;
        required: true;
    };
    useEvents: {
        type: ArrayConstructor;
        required: true;
    };
    uuid: {
        type: StringConstructor;
        required: true;
    };
}>> & Readonly<{
    "onOn-blur"?: (...args: any[]) => any;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _sfc_main;
